//create global vars to access them outside of cb functions
var clock, 
	second, 
	minute, 
	hour,
	secondsCounter,
	minutesCounter,
	hoursCounter;

window.onload = function () {

	clock = Snap("#clock");
	
	// load the svg
	Snap.load("clock.svg", function(data) {
		clock.append(data);
		
		//Target the layers inside the SVG
		second = clock.select("#second");
		minute = clock.select("#minute");
		hour = clock.select("#hour");
		
		initialTime();
		
		//Create a Timer loop - function name + interval
		var timer = setInterval(showTime, 1000);
		secondsCounter = minutesCounter = hoursCounter = 0;
		
		
	});

};

function initialTime(){
	var date = new Date(),
	hours = date.getHours() % 12,
	minutes = date.getMinutes(),
	seconds = date.getSeconds(),
	hourRotation = hours *30;
	minuteRotation = minutes * 6,
	secondRotation = seconds * 6;
	hourRotation += minutes * 0.5;
	
	second.transform("r" + secondRotation + ",150, 150");
	minute.transform("r" + minuteRotation + ",150, 150");
	hour.transform("r" + hourRotation + ",150, 150");
}

//after the clock is loaded then run this function
function showTime() {

	//Calculate stored time in Date var every iteraction 
	var date = new Date();
	
	//modulus % 12 = transforms 24 hr time to 12 hr * 30 = degrees of rotation
	var hours = date.getHours() % 12,
	minutes = date.getMinutes(),
	seconds = date.getSeconds(),
	hourRotation = hours *30;
	minuteRotation = minutes * 6,
	secondRotation = seconds * 6;
	hourRotation += minutes * 0.5;
	
	//increase counter for every loop
	if (seconds == 0) secondsCounter++;
	if (minutes == 0 && seconds == 0) minutesCounter++;
	if (hours == 0 && minutes == 0 && seconds == 0) hoursCounter++;
	
	second.animate({transform: "r" + (secondsCounter * 360 + secondRotation) + ",150, 150" }, 1000);
	
	minute.animate({transform: "r" + (minutesCounter * 360 + minuteRotation) + ",150, 150"}, 200, mina.elastic);
	hour.animate({transform: "r" + (hoursCounter * 360 + hourRotation) + ",150, 150" }, 1000);
		
		
}